io.etcd.jetcd.api

## Class AuthGrpc.AuthBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<AuthGrpc.AuthBlockingStub>
    - - io.etcd.jetcd.api.AuthGrpc.AuthBlockingStub

Enclosing class:
  AuthGrpc

    public static final class AuthGrpc.AuthBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<AuthGrpc.AuthBlockingStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthDisableResponse` `authDisable(AuthDisableRequest request)` AuthDisable disables authentication.
`AuthEnableResponse` `authEnable(AuthEnableRequest request)` AuthEnable enables authentication.
`AuthenticateResponse` `authenticate(AuthenticateRequest request)` Authenticate processes an authenticate request.
`protected AuthGrpc.AuthBlockingStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`AuthRoleAddResponse` `roleAdd(AuthRoleAddRequest request)` RoleAdd adds a new role.
`AuthRoleDeleteResponse` `roleDelete(AuthRoleDeleteRequest request)` RoleDelete deletes a specified role.
`AuthRoleGetResponse` `roleGet(AuthRoleGetRequest request)` RoleGet gets detailed role information.
`AuthRoleGrantPermissionResponse` `roleGrantPermission(AuthRoleGrantPermissionRequest request)` RoleGrantPermission grants a permission of a specified key or range to a specified role.
`AuthRoleListResponse` `roleList(AuthRoleListRequest request)` RoleList gets lists of all roles.
`AuthRoleRevokePermissionResponse` `roleRevokePermission(AuthRoleRevokePermissionRequest request)` RoleRevokePermission revokes a key or range permission of a specified role.
`AuthUserAddResponse` `userAdd(AuthUserAddRequest request)` UserAdd adds a new user.
`AuthUserChangePasswordResponse` `userChangePassword(AuthUserChangePasswordRequest request)` UserChangePassword changes the password of a specified user.
`AuthUserDeleteResponse` `userDelete(AuthUserDeleteRequest request)` UserDelete deletes a specified user.
`AuthUserGetResponse` `userGet(AuthUserGetRequest request)` UserGet gets detailed user information.
`AuthUserGrantRoleResponse` `userGrantRole(AuthUserGrantRoleRequest request)` UserGrant grants a role to a specified user.
`AuthUserListResponse` `userList(AuthUserListRequest request)` UserList gets a list of all users.
`AuthUserRevokeRoleResponse` `userRevokeRole(AuthUserRevokeRoleRequest request)` UserRevokeRole revokes a role of specified user.

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected AuthGrpc.AuthBlockingStub build(io.grpc.Channel channel,
                                              io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<AuthGrpc.AuthBlockingStub>`

#### authEnable

    public AuthEnableResponse authEnable(AuthEnableRequest request)

     AuthEnable enables authentication.

#### authDisable

    public AuthDisableResponse authDisable(AuthDisableRequest request)

     AuthDisable disables authentication.

#### authenticate

    public AuthenticateResponse authenticate(AuthenticateRequest request)

     Authenticate processes an authenticate request.

#### userAdd

    public AuthUserAddResponse userAdd(AuthUserAddRequest request)

     UserAdd adds a new user.

#### userGet

    public AuthUserGetResponse userGet(AuthUserGetRequest request)

     UserGet gets detailed user information.

#### userList

    public AuthUserListResponse userList(AuthUserListRequest request)

     UserList gets a list of all users.

#### userDelete

    public AuthUserDeleteResponse userDelete(AuthUserDeleteRequest request)

     UserDelete deletes a specified user.

#### userChangePassword

    public AuthUserChangePasswordResponse userChangePassword(AuthUserChangePasswordRequest request)

     UserChangePassword changes the password of a specified user.

#### userGrantRole

    public AuthUserGrantRoleResponse userGrantRole(AuthUserGrantRoleRequest request)

     UserGrant grants a role to a specified user.

#### userRevokeRole

    public AuthUserRevokeRoleResponse userRevokeRole(AuthUserRevokeRoleRequest request)

     UserRevokeRole revokes a role of specified user.

#### roleAdd

    public AuthRoleAddResponse roleAdd(AuthRoleAddRequest request)

     RoleAdd adds a new role.

#### roleGet

    public AuthRoleGetResponse roleGet(AuthRoleGetRequest request)

     RoleGet gets detailed role information.

#### roleList

    public AuthRoleListResponse roleList(AuthRoleListRequest request)

     RoleList gets lists of all roles.

#### roleDelete

    public AuthRoleDeleteResponse roleDelete(AuthRoleDeleteRequest request)

     RoleDelete deletes a specified role.

#### roleGrantPermission

    public AuthRoleGrantPermissionResponse roleGrantPermission(AuthRoleGrantPermissionRequest request)

     RoleGrantPermission grants a permission of a specified key or range to a specified role.

#### roleRevokePermission

    public AuthRoleRevokePermissionResponse roleRevokePermission(AuthRoleRevokePermissionRequest request)

     RoleRevokePermission revokes a key or range permission of a specified role.